1 Reply Latest reply on May 27, 2020 12:34 AM by scott28tt

    Developing a new plugin - Local vs remote plugin

    SANKAR39 Lurker

      Hi All,

       

      We are looking at developing a new vCenter plugin. I would like to know - between the local plugin vs remote plugin - what should be our preference. The documentation says the remote plugin is supported only from 6.7 U1. But our product has to support all versions of vCenters in the field. So does that mean we should go ahead with developing the local plugin? Are there any guidelines from vmware that we should look at apart from the "Developer Guide". Is it safer to take 6.5 U2 SDK version and develop a local plugin so our plugin is available for all vCenter versions? Can someone from VMware chime in and advise?

      • Remote plug-ins are supported by vSphere 6.7 Update 1 and later versions. Earlier versions of vCenter Server are incompatible with remote plug-ins.

       

      Thanks,

      Sankar